package com.itsol.quantrivanphong.manager.project.projectgroup.bussiness;

import com.itsol.quantrivanphong.manager.project.projectgroup.dto.ProjectGroupDTO;

import java.util.List;

public interface ProjectGroupBussiness {
//    chi tiết nhóm dự án
    List<ProjectGroupDTO> getGroupByProjectId(Integer projectId);
//    thêm thành viên vào nhóm dự án
    String saveEmployeeProject(ProjectGroupDTO dto);
//    sửa thông tin nhóm dự án, các thành viên out nhóm
    String updateEmployeeProject(ProjectGroupDTO dto);
//    Tìm kiếm thành viên trong nhóm theo tên đăng nhập
    ProjectGroupDTO findEmployeeProject(String username);
//    thành viên out dự án
    String outProjectGroup(Integer[]ids);
}
